Bug 196925 - Context.isAllFilesIndexing does not behave according to Javadoc
Context.isAllFilesIndexing does not behave according to Javadoc
Status: VERIFIED FIXED
Product: editor
Classification: Unclassified
Component: Parsing & Indexing
7.0
PC Mac OS X
: P2 (vote)
: 7.0
Assigned To: Tomas Zezula
issues@editor
: 70_HR_FIX
Depends on:
Blocks: 194294
  Show dependency treegraph
 
Reported: 2011-03-21 15:37 UTC by Tomas Zezula
Modified: 2011-04-08 09:30 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2011-03-21 15:37:33 UTC
Context.isAllFilesIndexing should return true when resource.equals(allResources) but it returns true only if the crawler was created with checkTimestamps == false.
Comment 1 Tomas Zezula 2011-03-21 15:50:30 UTC
Fixed jet-main c5b02e5c6e38
Comment 2 Petr Pisl 2011-03-21 17:38:30 UTC
I have to reopen it, because the method still returns false in all cases for embeded indexers.
Comment 3 Tomas Zezula 2011-03-21 17:40:09 UTC
Seems that Context.isAllFilesIndexing() is implemented only for CustomIndexers.
I will need to implement the same for the EmbeddingIndexers.
Comment 4 Quality Engineering 2011-03-22 09:56:15 UTC
Integrated into 'main-golden', will be available in build *201103220400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/dce95eeb640c
User: Tomas Zezula <tzezula@netbeans.org>
Log: #196925:Context.isAllFilesIndexing does not behave according to Javadoc
Comment 5 Tomas Zezula 2011-03-22 10:28:12 UTC
Implemented for EmbeddedIndexers
Fixed jet-main c451dd518be8
Comment 6 Quality Engineering 2011-03-23 10:00:43 UTC
Integrated into 'main-golden', will be available in build *201103230400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/c451dd518be8
User: Tomas Zezula <tzezula@netbeans.org>
Log: #196925:Context.isAllFilesIndexing does not behave according to Javadoc
Comment 7 Jan Lahoda 2011-03-24 09:59:13 UTC
Seems fine to me.
Comment 8 Tomas Zezula 2011-03-24 13:00:26 UTC
Integrated into release70 ecb4e43704f6
Integrated into release70 a564693d408d
Comment 9 Jaromir Uhrik 2011-04-08 09:30:11 UTC
Reporter=Developer who fixed the issue - so I have checked only the change integration. Marking as Verified.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo